Modules
POST
/app-api/v1/commerce/ordersGenerate payment order (CI gen-order)
Parameters
| Name | In | Required | Description |
|---|---|---|---|
| x-request-id | header | No | Optional correlation id. Generated when omitted. |
Request Body
CreateCommerceOrderDtoobject
typestring
courseIdstring
Product / course ID
amountnumber
Amount in INR
methodstring
isEminumber
isVExtendednumber
couponIdnumber
productCodestring
Required: type, courseId, amount, method
Related Schemas
CreateCommerceOrderDto
typestring
courseIdstring
Product / course ID
amountnumber
Amount in INR
methodstring
isEminumber
isVExtendednumber
couponIdnumber
productCodestring
Required: type, courseId, amount, method
Code samples
Generated from the current environment and the request configured in the Try-it panel.
curl -X POST 'https://app-api.crwilladmin.com/app-api/v1/commerce/orders' \
-H 'Accept: application/json' \
-H 'Content-Type: application/json' \
-H 'apptype: android' \
-H 'appver: 1.0.0' \
-H 'webver: 1.0.0' \
-H 'portalver: 1.0.0' \
-H 'x-request-id: 00000000-0000-4000-8000-000000000000' \
-d '{
"type": "batch",
"courseId": "",
"amount": 0,
"method": "razorpay"
}' \